> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Payment

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Deleting a Payment means canceling it before any funds
have been moved.

<Warning>
  A Payment can be deleted only if its status is <code>pending</code>.
</Warning>

## Path Parameters

<ParamList
  items={[
{
name: 'pmt_id',
type: 'string',
required: true,
description: 'ID of the Payment.',
},
]}
/>

## Returns

Returns the successfully deleted Payment with its
status set to `canceled`.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/payments/pmt_VeCfmkwGKb \
    -X DELETE \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const payment = await method.payments.delete('pmt_VeCfmkwGKb');
  ```

  ```python Python theme={null}
  payment = method.payments.delete('pmt_VeCfmkwGKb')
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "pmt_VeCfmkwGKb",
    "source": "acc_hmap9mbgfLcf9",
    "destination": "acc_YXDrjADGjC76U",
    "amount": 5000,
    "description": "Loan Pmt",
    "status": "canceled",
    "estimated_completion_date": "2024-03-21",
    "source_trace_id": null,
    "source_settlement_date": "2024-03-15",
    "source_status": "canceled",
    "destination_trace_id": null,
    "destination_settlement_date": "2024-03-21",
    "destination_status": "canceled",
    "reversal_id": null,
    "reversal_account": "acc_hmap9mbgfLcf9",
    "payment_instrument": null,
    "fee": null,
    "type": "standard",
    "error": null,
    "metadata": null,
    "created_at": "2024-03-14T16:15:26.074Z",
    "updated_at": "2024-03-14T16:15:26.074Z"
  }
  ```
</ResponseExample>
